### Constructor

# Gtk StringObject new

#### Declaration [src]

    GtkStringObject*
    gtk_string_object_new (
      const char* string
    )

#### Description [src]

Wraps a string in an object for use with `GListModel`.

#### Parameters

`string` | `const char*`
| The string to wrap.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkStringObject`
| A new `GtkStringObject`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.